Welcome, Guest. Please login or register. Did you miss your activation email?

Author Topic: Android x64 support  (Read 358 times)

0 Members and 1 Guest are viewing this topic.

IsDaouda

  • Newbie
  • *
  • Posts: 19
    • View Profile
    • Email
Android x64 support
« on: April 22, 2019, 01:55:56 pm »
Hello everyone,  :)

I am compiling SFML for the x64 android version but I get some errors. I feel that it is not compatible with this architecture (unless I'm wrong).

Is it possible to compile it with SFML 2.4.0 ?

It would be nice if in the next version of SFML this architecture is supported. Because soon Google Play will no longer accept native applications 32 bit but 64 bit.

AlexAUT

  • Sr. Member
  • ****
  • Posts: 386
    • View Profile
Re: Android x64 support
« Reply #1 on: April 22, 2019, 09:34:14 pm »
Yes the dependencies are missing for 64bit, there is already a github issue: https://github.com/SFML/SFML/issues/1507

IsDaouda

  • Newbie
  • *
  • Posts: 19
    • View Profile
    • Email
Re: Android x64 support
« Reply #2 on: April 23, 2019, 11:52:09 am »
I hope that a solution will be found as soon as possible.

Jonny

  • Full Member
  • ***
  • Posts: 107
    • View Profile
    • Email
Re: Android x64 support
« Reply #3 on: April 26, 2019, 12:09:17 am »
Should be easily solvable once there's a decision on how to build deps from source: https://en.sfml-dev.org/forums/index.php?topic=25053.0

 

anything